Loading...
Searching...
No Matches
Magick::DrawableAlpha Class Reference
Inheritance diagram for Magick::DrawableAlpha:

## Public Member Functions

| DrawableAlpha (double x_, double y_, PaintMethod paintMethod_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
void | paintMethod (PaintMethod paintMethod_)
PaintMethod | paintMethod (void) const

## Private Attributes

double | _x
double | _y
PaintMethod | _paintMethod

## Detailed Description

Definition at line 303 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableAlpha()

Magick::DrawableAlpha::DrawableAlpha | ( | double | x_,
|  | double | y_,
|  | PaintMethod | paintMethod_ )

inline

Definition at line 307 of file Drawable.h.

: _x(x_),
_y(y_),
_paintMethod(paintMethod_)
{
}

## ~DrawableAlpha()

Magick::DrawableAlpha::~DrawableAlpha | ( | void |  | ) |

Definition at line 207 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableAlpha::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 216 of file Drawable.cpp.

{
return new DrawableAlpha(*this);
}

## operator()()

void Magick::DrawableAlpha::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 211 of file Drawable.cpp.

{
DrawAlpha(context_,_x,_y,_paintMethod);
}

## paintMethod() [1/2]

void Magick::DrawableAlpha::paintMethod | ( | PaintMethod | paintMethod_ | ) |

inline

Definition at line 342 of file Drawable.h.

{
_paintMethod=paintMethod_;
}

## paintMethod() [2/2]

PaintMethod Magick::DrawableAlpha::paintMethod | ( | void |  | ) | const

inline

Definition at line 347 of file Drawable.h.

{
return(_paintMethod);
}

## x() [1/2]

void Magick::DrawableAlpha::x | ( | double | x_ | ) |

inline

Definition at line 322 of file Drawable.h.

{
_x=x_;
}

## x() [2/2]

double Magick::DrawableAlpha::x | ( | void |  | ) | const

inline

Definition at line 327 of file Drawable.h.

{
return(_x);
}

## y() [1/2]

void Magick::DrawableAlpha::y | ( | double | y_ | ) |

inline

Definition at line 332 of file Drawable.h.

{
_y=y_;
}

## y() [2/2]

double Magick::DrawableAlpha::y | ( | void |  | ) | const

inline

Definition at line 337 of file Drawable.h.

{
return(_y);
}

## Field Documentation

## _paintMethod

PaintMethod Magick::DrawableAlpha::_paintMethod

private

Definition at line 356 of file Drawable.h.

## _x

double Magick::DrawableAlpha::_x

private

Definition at line 354 of file Drawable.h.

## _y

double Magick::DrawableAlpha::_y

private

Definition at line 355 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp